### Function

# Gimp Display get_by_id

since: 3.0

#### Declaration [src]

    GimpDisplay*
    gimp_display_get_by_id (
      gint32 display_id
    )

#### Description [src]

Returns a `GimpDisplay` representing `display_id`.

Note: in most use cases, you should not need to retrieve a `GimpDisplay` by its ID, which is mostly internal data and not reusable across sessions. Use the appropriate functions for your use case instead.

Available since: 3.0

#### Parameters

`display_id`

  Type: `gint32`

  The display id.

#### Return value

Type: `GimpDisplay`

A `GimpDisplay` for `display_id` or `NULL` if `display_id` does not represent a valid display. The object belongs to libgimp and you must not modify or unref it.

The data is owned by the called function.
The return value can be `NULL`.